BaseService (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.service.BaseService class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.service
Class BaseService

    java.lang.Object
      org.hyperic.hq.ui.service.BaseService

All Implemented Interfaces:
  org.apache.tapestry.engine.IEngineService

Direct Known Subclasses:
  RESTService, SearchService

    public abstract class BaseService

extends java.lang.Object
implements org.apache.tapestry.engine.IEngineService

Field Summary
`protected org.apache.tapestry.services.LinkFactory` | `_linkFactory`
`protected javax.servlet.http.HttpServletRequest` | `_request`
`protected javax.servlet.http.HttpServletResponse` | `_response`
`protected javax.servlet.ServletContext` | `_servletContext`
`static java.lang.String` | `EMPTY_RESPONSE`
`static java.lang.String` | `ERROR_GENERIC` Error Codes
`static java.lang.String` | `PARAM_CLONE`
`static java.lang.String` | `PARAM_CLONE_TARGET_ID`
`static java.lang.String` | `PARAM_CONFIG`
`static java.lang.String` | `PARAM_CTYPE`
`static java.lang.String` | `PARAM_DELETE`
`static java.lang.String` | `PARAM_INTERVAL`
`static java.lang.String` | `PARAM_METRIC_TEMPLATE_ID`
`static java.lang.String` | `PARAM_PAGE_NUM`
`static java.lang.String` | `PARAM_PAGE_SIZE`
`static java.lang.String` | `PARAM_PLATFORM_ID`
`static java.lang.String` | `PARAM_REGEX_FILTER`
`static java.lang.String` | `PARAM_RESOURCE_ID`
`static java.lang.String` | `PARAM_ROTATION`
`static java.lang.String` | `PARAM_SCHEDULE`
`static java.lang.String` | `PARAM_SEARCH_QUERY` All Service Parameters
`static java.lang.String` | `PARAM_SERVICE_ID`
`static java.lang.String` | `PARAM_SERVICE_VERSION`
`static java.lang.String` | `PARAM_TIME_RANGE`
`static java.lang.String` | `SERVICE_ID_ALERT_SUM_WIDGET`
`static java.lang.String` | `SERVICE_ID_CHART_WIDGET` Service IDs
`static java.lang.String` | `SERVICE_ID_CLONE_PLATFORM_WIDGET`
`static java.lang.String` | `SERVICE_ID_GROUP_MANAGER_WIDGET`
`static java.lang.String` | `SERVICE_ID_MAINTENANCE_WINDOW_WIDGET`
`static java.lang.String` | `SERVICE_NAME`
`static double` | `SERVICE_VERSION_1_0`

Constructor Summary
`BaseService()`

Method Summary
`abstract org.apache.tapestry.engine.ILink` | `getLink(boolean arg0, java.lang.Object arg1)`
`abstract java.lang.String` | `getName()`
`abstract void` | `service(org.apache.tapestry.IRequestCycle arg0)`
`void` | `setLinkFactory(org.apache.tapestry.services.LinkFactory linkFactory)`
`void` | `setRequest(javax.servlet.http.HttpServletRequest request)`
`void` | `setResponse(javax.servlet.http.HttpServletResponse response)`
`void` | `setServletContext(javax.servlet.ServletContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_NAME

    public static java.lang.String SERVICE_NAME

### SERVICE_VERSION_1_0

    public static final double SERVICE_VERSION_1_0

See Also:
  Constant Field Values

### PARAM_SEARCH_QUERY

    public static final java.lang.String PARAM_SEARCH_QUERY

  All Service Parameters

  See Also:
    Constant Field Values

### PARAM_PAGE_SIZE

    public static final java.lang.String PARAM_PAGE_SIZE

See Also:
  Constant Field Values

### PARAM_PAGE_NUM

    public static final java.lang.String PARAM_PAGE_NUM

See Also:
  Constant Field Values

### PARAM_SERVICE_VERSION

    public static final java.lang.String PARAM_SERVICE_VERSION

See Also:
  Constant Field Values

### PARAM_PLATFORM_ID

    public static final java.lang.String PARAM_PLATFORM_ID

See Also:
  Constant Field Values

### PARAM_RESOURCE_ID

    public static final java.lang.String PARAM_RESOURCE_ID

See Also:
  Constant Field Values

### PARAM_CTYPE

    public static final java.lang.String PARAM_CTYPE

See Also:
  Constant Field Values

### PARAM_CLONE_TARGET_ID

    public static final java.lang.String PARAM_CLONE_TARGET_ID

See Also:
  Constant Field Values

### PARAM_METRIC_TEMPLATE_ID

    public static final java.lang.String PARAM_METRIC_TEMPLATE_ID

See Also:
  Constant Field Values

### PARAM_SERVICE_ID

    public static final java.lang.String PARAM_SERVICE_ID

See Also:
  Constant Field Values

### PARAM_TIME_RANGE

    public static final java.lang.String PARAM_TIME_RANGE

See Also:
  Constant Field Values

### PARAM_CONFIG

    public static final java.lang.String PARAM_CONFIG

See Also:
  Constant Field Values

### PARAM_REGEX_FILTER

    public static final java.lang.String PARAM_REGEX_FILTER

See Also:
  Constant Field Values

### PARAM_ROTATION

    public static final java.lang.String PARAM_ROTATION

See Also:
  Constant Field Values

### PARAM_INTERVAL

    public static final java.lang.String PARAM_INTERVAL

See Also:
  Constant Field Values

### PARAM_SCHEDULE

    public static final java.lang.String PARAM_SCHEDULE

See Also:
  Constant Field Values

### PARAM_CLONE

    public static final java.lang.String PARAM_CLONE

See Also:
  Constant Field Values

### PARAM_DELETE

    public static final java.lang.String PARAM_DELETE

See Also:
  Constant Field Values

### SERVICE_ID_CHART_WIDGET

    public static final java.lang.String SERVICE_ID_CHART_WIDGET

  Service IDs

  See Also:
    Constant Field Values

### SERVICE_ID_ALERT_SUM_WIDGET

    public static final java.lang.String SERVICE_ID_ALERT_SUM_WIDGET

See Also:
  Constant Field Values

### SERVICE_ID_MAINTENANCE_WINDOW_WIDGET

    public static final java.lang.String SERVICE_ID_MAINTENANCE_WINDOW_WIDGET

See Also:
  Constant Field Values

### SERVICE_ID_CLONE_PLATFORM_WIDGET

    public static final java.lang.String SERVICE_ID_CLONE_PLATFORM_WIDGET

See Also:
  Constant Field Values

### SERVICE_ID_GROUP_MANAGER_WIDGET

    public static final java.lang.String SERVICE_ID_GROUP_MANAGER_WIDGET

See Also:
  Constant Field Values

### ERROR_GENERIC

    public static final java.lang.String ERROR_GENERIC

  Error Codes

  See Also:
    Constant Field Values

### EMPTY_RESPONSE

    public static final java.lang.String EMPTY_RESPONSE

See Also:
  Constant Field Values

### _request

    protected javax.servlet.http.HttpServletRequest _request

### _response

    protected javax.servlet.http.HttpServletResponse _response

### _servletContext

    protected javax.servlet.ServletContext _servletContext

### _linkFactory

    protected org.apache.tapestry.services.LinkFactory _linkFactory

Constructor Detail

### BaseService

    public BaseService()

Method Detail

### getLink

    public abstract org.apache.tapestry.engine.ILink getLink(boolean arg0,
                                                             java.lang.Object arg1)

  Specified by:
    `getLink` in interface `org.apache.tapestry.engine.IEngineService`

### getName

    public abstract java.lang.String getName()

  Specified by:
    `getName` in interface `org.apache.tapestry.engine.IEngineService`

### service

    public abstract void service(org.apache.tapestry.IRequestCycle arg0)
                          throws java.io.IOException

  Specified by:
    `service` in interface `org.apache.tapestry.engine.IEngineService`
  Throws:
    `java.io.IOException`

### setRequest

    public void setRequest(javax.servlet.http.HttpServletRequest request)

### setResponse

    public void setResponse(javax.servlet.http.HttpServletResponse response)

### setLinkFactory

    public void setLinkFactory(org.apache.tapestry.services.LinkFactory linkFactory)

### setServletContext

    public void setServletContext(javax.servlet.ServletContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.